<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" exclude-result-prefixes="java sp op sfacet " extension-element-prefixes="java sp op sfacet " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="op:activity" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="op:activity" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity/sp:expStep">
<node xp="op:activity/sp:expStep[{count(preceding-sibling::sp:expStep) + 1}]" name="Grain de contenu">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity/sp:practQuestStep">
<node xp="op:activity/sp:practQuestStep[{count(preceding-sibling::sp:practQuestStep) + 1}]" name="Exercice rédactionnel">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity/sp:comment">
<node xp="op:activity/sp:comment[{count(preceding-sibling::sp:comment) + 1}]" name="Commentaire global">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity/sp:assmntUa">
<node xp="op:activity/sp:assmntUa[{count(preceding-sibling::sp:assmntUa) + 1}]" name="Activité d&apos;auto-évaluation">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activity/sp:conclu">
<node xp="op:activity/sp:conclu[{count(preceding-sibling::sp:conclu) + 1}]" name="Conclusion">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pre" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:preM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pre" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pre/sp:pre">
<node xp="op:pre/sp:pre[{count(preceding-sibling::sp:pre) + 1}]" name="Pré-requis">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:res" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="titleNode">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUc" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUc" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUc/sp:div">
<node xp="op:expUc/sp:div[{count(preceding-sibling::sp:div) + 1}]" name="Partie">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pb" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:pb" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUcDiv" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:expUcDivM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUcDiv" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:expUcDiv/sp:div">
<node xp="op:expUcDiv/sp:div[{count(preceding-sibling::sp:div) + 1}]" name="Sous-partie">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:assmntUa" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:assmntUa" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqSur" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:mcqMur" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:match" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:label" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:label" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelImg" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:ordWord" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:cloze" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:field" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:numerical" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:coQuiz" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:genRef" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:genRef" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:practUc" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:practUc" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:practUcQ" mode="titleNode">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:practUcQ" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activityDiv" mode="titleNode">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:activityDivM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activityDiv" mode="children">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activityDiv/sp:expStep">
<node xp="op:activityDiv/sp:expStep[{count(preceding-sibling::sp:expStep) + 1}]" name="Grain de contenu">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:activityDiv/sp:practQuestStep">
<node xp="op:activityDiv/sp:practQuestStep[{count(preceding-sibling::sp:practQuestStep) + 1}]" name="Exercice rédactionnel">
<xsl:variable name="vTitle"/>
<xsl:variable name="vTitleInMeta" select="string($vTitle)"/>
<xsl:choose>
<xsl:when test="$vTitleInMeta and @sc:refUri">
<titleNode title="{$vTitleInMeta}"/>
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="false"/>
</xsl:when>
<xsl:when test="@sc:refUri">
<sfacet:callOutline refUri="{@sc:refUri}" includeTitle="true"/>
</xsl:when>
<xsl:when test="$vTitleInMeta">
<titleNode title="{$vTitleInMeta}"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates select="*[last()]" mode="titleNode"/>
<xsl:apply-templates select="*[last()]" mode="children"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>